Chuyển đến nội dung
Diễn đàn CADViet

cuongtk2

Thành viên
  • Số lượng nội dung

    289
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    18

Cộng đồng

79 (tàm tạm)

About cuongtk2

  • Cấp bậc
    biết lệnh mtext

Khách truy cập Tiểu sử gần đây

4.865 chế độ xem tiểu sử
  1. cuongtk2

    Xin giúp đỡ viết Lisp chuyển Mtext thành ATT Block

    Mình chỉ viết riêng cho mtext có 2 dòng thôi vì yêu cầu của bạn chỉ xuất những mtext 2 dòng mà. Có gì zalo 0903492234
  2. cuongtk2

    Lỗi vùng hatch không xuất hiện khi in ấn

    Dùng các polyline chung cạnh để hatch nó sẽ ra như thế
  3. cuongtk2

    Xin giúp đỡ viết Lisp chuyển Mtext thành ATT Block

    mình sửa lại rồi m2i.LSP
  4. cuongtk2

    Xin giúp đỡ viết Lisp chuyển Mtext thành ATT Block

    RSPPlan.dwg Mình chỉ test thử với 1 chữ thôi nhé, trong bản vẽ đã tạo blokc rồi m2i.LSP
  5. cuongtk2

    Tạo 1 ứng dụng AutoCAD .NET với MS Visual C#

    [assembly: ExtensionApplication(typeof(Autocad_2020_plugin_001.MyPlugin))] namespace Autocad_2020_plugin_001 { public class MyPlugin { [CommandMethod("cmdhello")] public void cmdFirstCommand() {  var doc = AcAp.DocumentManager.MdiActiveDocument; //var db = doc.Database; var ed = doc.Editor;  ed.WriteMessage("\n Hello World"); } } } Bạn có thấy attribute [CommandMethod("cmdhello")] được khái báo ở class MyPlugin. Mà class này lại không được khai báo là class chứa lệnh, mà được khai báo là ExtensionApplication (tiện ích mở rộng). Nếu như bạn tạo mới Class1 , muốn build được ra lệnh trong đó, bạn phải khai báo [assembly: CommandClass(typeof(Autocad_2020_plugin_001.Class1))]
  6. cuongtk2

    Xin giúp đỡ viết Lisp chuyển Mtext thành ATT Block

    Đơn giản là kiểm soát những MTEXT cần truy xuất, vì vậy cần biến nó thành 1 block có 2 ATT RTD_ID VÀ SUY_HAO
  7. Copy lần lượt text vào clipboard , dán vào thành 1cột (defun c:text2clipb( / ENT HTML ND RESULT STR) (setq str "") (while (setq ent (car (entsel))) (setq nd (cdr (assoc 1 (entget ent))) str (strcat str nd "\n")) ) (if (= 'STR (type str)) (progn (setq html (vlax-create-object "htmlfile") result (vlax-invoke (vlax-get (vlax-get html 'ParentWindow) 'ClipBoardData) 'setData "Text" str) ) (vlax-release-object html) str ) );end if )
  8. cuongtk2

    Tạo 1 ứng dụng AutoCAD .NET với MS Visual C#

    [assembly: CommandClass(typeof(namespase1.MyClass))] Khai báo MyClass thuộc namespace1 là class chứa lệnh
  9. cuongtk2

    File Cad bị lỗi

    Nên viết tool để lúc save thì cho phép backup thêm 1 bản tại đĩa khác.
  10. cuongtk2

    Font VNISIMPLEX.SHX

    bạn tìm một font vni shx nào đó rồi rename thành nó là được. ví dụ như vn_vni.shx trong kho của cadviet
  11. cuongtk2

    Lỗi font chữ trong text và dimension autocad!

    Chắc dính virus em à. Lên đời cad version mới nhất đi. Đoán chắc giờ em vẽ lại bị tiếp . Thử new một bản vẽ xem.
  12. cuongtk2

    Lỗi font chữ trong text và dimension autocad!

    Cái đó là công cụ để cấm sửa chữa trong bản vẽ đấy. Chắc không phải chủ thớt tự vẽ.
  13. cuongtk2

    NHỜ ANH EM SỬA GIÚP ĐOẠN LISP

    Cái này bạn chỉ cần vào VLIDE lấy nội dung 1 text được gõ bằng Unicode là được: (cdr (assoc 1 (entget (car (entsel)))))
  14. cuongtk2

    [Nhờ chỉnh sửa lisp]Lisp thống kê toạ độ pline ra file txt

    Viết riêng cho lwpolyline, sửa ngại lắm: (defun c:test ( / F FN SS) (vl-load-com) (defun ss->list (ss) (mapcar 'cadr (vl-remove-if '(lambda (e) (/= 'ename (type (cadr e))) ) (ssnamex ss)) ) ) (defun pl_vertexs (ent) (mapcar 'cdr (vl-remove-if '(lambda (e) (/= 10 (car e))) (entget ent)) ) ) (setq ss (ssget '((0 . "LWPOLYLINE")))) (setq ss (ss->list ss)) (setq fn (getfiled "Text File" "" "txt" 1)) (setq f (open fn "w")) (foreach n ss (progn (WRITE-LINE "lwpolyline" f) (foreach m (pl_vertexs n) (WRITE-LINE (strcat (rtos (cadr m)) "\t" (rtos (car m))) f) );for2 );progn );for1 (close f) )
×